%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Archive-Tar

Summary: 	Archive-Tar module for perl
Name: 		perl-Archive-Tar
Version: 	1.38
Release: 	6.1
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Archive-Tar/


Source: 	http://www.cpan.org/modules/by-module/Archive/Archive-Tar-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl
Requires:	perl


%description
Module for manipulations of tar archives.


%prep
%setup -n %{real_name}-%{version} 


%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc MANIFEST README
%{_mandir}/man1/ptar.1*
%{_mandir}/man1/ptardiff.1*
%{_mandir}/man3/Archive::Tar.3pm*
%{_mandir}/man3/Archive::Tar::File.3pm*
%dir %{perl_vendorlib}/Archive
%dir %{perl_vendorlib}/Archive/Tar
%{perl_vendorlib}/Archive/Tar.pm
%{perl_vendorlib}/Archive/Tar/Constant.pm
%{perl_vendorlib}/Archive/Tar/File.pm
%{_bindir}/ptar
%{_bindir}/ptardiff

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

